This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 202820 - Review Request: libconfuse - A configuration file parser library
Review Request: libconfuse - A configuration file parser library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-16 12:14 EDT by Jarod Wilson
Modified: 2014-08-12 11:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-23 23:17:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jarod Wilson 2006-08-16 12:14:59 EDT
Spec URL: http://wilsonet.com/packages/libconfuse/libconfuse.spec
SRPM URL: http://wilsonet.com/packages/libconfuse/libconfuse-2.5-1.src.rpm
Description:
-----
libConfuse is a configuration file parser library, licensed
under the terms of the LGPL, and written in C. It supports
sections and (lists of) values (strings, integers, floats,
booleans or other sections), as well as some other features
(such as single/double-quoted strings, environment variable
expansion, functions and nested include statements). It
makes it very easy to add configuration file capability to
a program using a simple API.

The goal of libConfuse is not to be the configuration file
parser library with a gazillion of features. Instead, it
aims to be easy to use and quick to integrate with your code.
-----

Note: the tarball is 'confuse', but the project pages all refer to libconfuse, and both suse and debian package this as libconfuse as well.
Comment 1 Dan Horák 2006-08-16 15:29:24 EDT
- there is a missing defattr line in the devel package
- the devel package should go into Development/Libraries instead of System
Environment/Libraries
otherwise it looks good
Comment 2 Jarod Wilson 2006-08-16 15:41:33 EDT
Thanks for poking at it, both issues are remedied in a -2 build:

http://wilsonet.com/packages/libconfuse/libconfuse.spec
http://wilsonet.com/packages/libconfuse/libconfuse-2.5-2.src.rpm
Comment 3 Dan Horák 2006-08-16 15:51:09 EDT
Review:
- no rpmlint output on any package
- package name OK
- spec file name OK, is in English and is legible
- package meets the Packaging Guidelines
- license OK (LGPL) and is included
- source matches upstream
	4bc9b73d77ebd571ac834619ce0b3582  confuse-2.5.tar.gz
	4bc9b73d77ebd571ac834619ce0b3582  confuse-2.5.tar.gz.1
- compiles and builds at least on i386 (FC4 and devel)
- BuildRequires are correct
- localized files are handled with %find_lang
- has shared lib with appropriate ldconfig calls
- does not create any directory
- no duplicates files, permissions are set properly, uses %defattr
- has %clean section
- consistent use of macros
- contains code
- no large docs, %doc is not required during runtime
- devel subpackage required and present, contains pkgconfig file
- no .la libtool archives
- not a GUI application
- it works

APPROVED
Comment 4 Jarod Wilson 2006-08-16 16:22:11 EDT
Thanks much, package imported and built for devel branch, FC5 branch pending.
Comment 5 Denis Leroy 2006-08-16 18:03:51 EDT
New record for quickest review approval ? :-)
Comment 6 Dan Horák 2006-08-17 01:29:43 EDT
It was carefully prepared so the formal part was easy for me.

PS: you should close the bug now
Comment 7 Jarod Wilson 2006-08-17 09:35:55 EDT
(In reply to comment #5)
> New record for quickest review approval ? :-)

I was wondering that myself. :p

(In reply to comment #6)
> It was carefully prepared so the formal part was easy for me.

I do put quite a bit of effort into trying to make the reviewer's job as easy as
possible (and its a relativley simple package). :)

> PS: you should close the bug now

Not quite yet, still waiting on the FC5 branch to be created. Once that's done,
I'll close it.
Comment 8 Jarod Wilson 2006-08-23 23:17:29 EDT
Whoops, forgot to close this out...
Comment 9 Petr Pisar 2014-08-12 11:32:50 EDT
Jon, would you mind to build this package for EPEL7? Otherwise I could try to maintain it there.
Comment 10 Gwyn Ciesla 2014-08-12 11:36:58 EDT
Of course.  Branching and building.

Package Change Request
======================
Package Name: libconfuse
New Branches: epel7
Owners: limb
Comment 11 Gwyn Ciesla 2014-08-12 11:38:08 EDT
Git done (by process-git-requests).
Comment 12 Gwyn Ciesla 2014-08-12 11:55:49 EDT
Built.

Note You need to log in before you can comment on or make changes to this bug.